function volume=loreta2fieldtrip(filename, timeframe)

[junk1, junk2, ext] = fileparts(filename);

switch ext
    case '.lorb'  % Old LORETA
        voxnumber=2394;
        lorind=getfield(load('loreta_ind.mat'), 'ind_loreta');
        volume=read_fcdc_mri('lColin27T1.hdr');
    case '.slor' % sLORETA
        voxnumber=6239;
        lorind=getfield(load('loreta_ind.mat'), 'ind_sloreta');
        volume=read_fcdc_mri('slColin27T1.hdr');
    otherwise
        error('Unsupported LORETA format.');
end

infile=fopen(filename,'r');
fseek(infile, 4*voxnumber*(timeframe-1), -1);
activity=fread(infile, voxnumber,  'float');
activity(end+1)=NaN;
fclose(infile);

volume.avg.pow=nan(size(volume.anatomy), 'single');
volume.avg.pow=single(activity(lorind));
%%
cfg=[];
cfg.funparameter='avg.pow';
sourceplot(cfg, volume);